# Delete a Section

{% tabs %}
{% tab title="cURL" %}

```bash
curl https://mburger.cloud/api/sections/<id>
-X DELETE 
-H "Accept: application/json" 
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
```

{% endtab %}

{% tab title="iOS SDK" %}

```swift
MBAdmin.deleteSection(withSectionId: SECTION_ID,
                      success: {
                                
                      },
                      failure: { error in
                                
                      })
```

{% endtab %}

{% tab title="Android SDK" %}

```kotlin
val deleteSectionListener = object: MBAdminDeleteSectionListener{
            override fun onSectionDeleteSuccess(section_id: Long) {
            }

            override fun onSectionDeleteError(error: String) {
            }
        }

MBurgerAdminTasks.deleteSection(
                    context = applicationContext, 
                    section_id = SECTION_ID, 
                    listener = deleteSectionListener);
```

{% endtab %}

{% tab title="PHP SDK" %}

```
// Work in Progress
```

{% endtab %}

{% tab title="JS SDK" %}

```javascript
// DELETE actions are not available atm on our JS SDK.
// If it could be interesting for you, please submit 
// a feature request here:
// https://support.mburger.cloud/hc/en-us/community/topics/360000550497-Feature-Request?
```

{% endtab %}

{% tab title="Flutter SDK" %}

```dart
await MBAdmin.shared.deleteSection(SECTION_ID);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/how-to/basic-interactions/sections/delete-a-section.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
